Package org.firebirdsql.jaybird.props

## Enum DpbType

- java.lang.Object
- - java.lang.Enum<DpbType>
  - - org.firebirdsql.jaybird.props.DpbType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<DpbType>`

    public enum DpbType
    extends java.lang.Enum<DpbType>

Identifies the database (or service attach) parameter buffer type of a connection property.

In general, there is a 1-on-1 correspondence with `ConnectionPropertyType`, but in some cases mapping might be different (current expectation: boolean connection properties that map to either a single item or a 0 / 1 value).

Since:
  5
Author:
  Mark Rotteveel

### Enum Constant Summary

Enum Constants
`BYTE` Parameter value as a byte.
`INT` Parameter value is an integer.
`NONE` Parameter is not sent at all (primarily to have a null-safe value for connection properties that should not be sent to the server).
`SINGLE` Parameter value is not sent (just presence or absence of the parameter item), corresponding value must be a `Boolean`.
`STRING` Parameter value is a string.

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`abstract void` `addValue​(ParameterBuffer pb, int pbItem, java.lang.Object value, ConnectionPropertyType type)` Populate the parameter buffer `pb` with `pbItem` and `value`.
`static DpbType` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DpbType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### STRING

    public static final DpbType STRING

Parameter value is a string.

#### INT

    public static final DpbType INT

Parameter value is an integer.

#### BYTE

    public static final DpbType BYTE

Parameter value as a byte.

#### SINGLE

    public static final DpbType SINGLE

Parameter value is not sent (just presence or absence of the parameter item), corresponding value must be a `Boolean`.

#### NONE

    public static final DpbType NONE

Parameter is not sent at all (primarily to have a null-safe value for connection properties that should not be sent to the server).

### Method Detail

#### values

    public static DpbType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DpbType c : DpbType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DpbType valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### addValue

    public abstract void addValue​(ParameterBuffer pb,
                                  int pbItem,
                                  java.lang.Object value,
                                  ConnectionPropertyType type)

Populate the parameter buffer `pb` with `pbItem` and `value`.

Parameters:
  `pb` - Parameter buffer
  `pbItem` - Parameter buffer item
  `value` - Value
  `type` - Connection property type